All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.dataselectors.filterandrank
Class FilterAndRankSelector

    com.sas.swing.visuals.dataselectors.filterandrank.FilterAndRankSelector

All Implemented Interfaces:
  DataSelectorInterface, PanelInterface, LayoutConstants, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

    public class FilterAndRankSelector

implements LayoutConstants

See Also:
  Serialized Form

Field Summary
`static java.util.Locale` | `defaultLocale`
`static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.swing.visuals.dataselectors.BaseSwingSelectorPanel
`command, contentsValid, selectorModel, wasCancelled`

Fields inherited from interface com.sas.swing.visuals.util.LayoutConstants
`DOTS_BUTTON_INSETS, EMPTY_INSETS, HGAP, HMARGIN, INDENTED_BORDER, TAB_BORDER, TEXTFIELD_INSETS, VGAP, VMARGIN`

Fields inherited from interface com.sas.swing.visuals.PanelInterface
`CONTENTS_VALID_PROPERTY`

Constructor Summary
`FilterAndRankSelector()`

Method Summary
`protected void` | `addListeners()`
`protected void` | `createComponents()`
`java.lang.String` | `getDialogTitle()` Returns a title for this panel that should be displayed on a dialog's title bar.
`void` | `onApply()` This method is called when the OK button is clicked.
`void` | `setSelectorModel(java.lang.Object model)` Sets the model used for the selector on the panel.

Methods inherited from class com.sas.swing.visuals.dataselectors.BaseSwingSelectorPanel
`getCommand, getHelpID, getPanel, getSelectorModel, getTabTitle, isContentsValid, isYesNo, onCancel, onClose, setCommand, setContentsValid`

Methods inherited from interface com.sas.dataselectors.DataSelectorInterface
`isVisible, setVisible`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### defaultLocale

    public static final java.util.Locale defaultLocale

Constructor Detail

### FilterAndRankSelector

    public FilterAndRankSelector()

Method Detail

### createComponents

    protected void createComponents()

### addListeners

    protected void addListeners()

### setSelectorModel

    public void setSelectorModel(java.lang.Object model)

  Description copied from class: `BaseSwingSelectorPanel`
  Sets the model used for the selector on the panel.

  Specified by:
    `setSelectorModel` in interface `DataSelectorInterface`
  Overrides:
    `setSelectorModel` in class `BaseSwingSelectorPanel`
  Parameters:
    `model` - the new selector model to set on the panel
  See Also:
    `BaseSwingSelectorPanel.getSelectorModel()`

### onApply

    public void onApply()

  This method is called when the OK button is clicked.

  Specified by:
    `onApply` in interface `PanelInterface`
  Overrides:
    `onApply` in class `BaseSwingSelectorPanel`

### getDialogTitle

    public java.lang.String getDialogTitle()

  Description copied from class: `BaseSwingSelectorPanel`
  Returns a title for this panel that should be displayed on a dialog's title bar.

  Specified by:
    `getDialogTitle` in interface `PanelInterface`
  Overrides:
    `getDialogTitle` in class `BaseSwingSelectorPanel`
  Returns:
    the title to display if used in a dialog

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.